<?php

/**
* Outputs a valid xml with all portfolio projects.
* Images imported from Media Library are listed in each available (crunched) size
*/
header ("content-type: text/xml");
$projects = simple_portfolio_all_projects();

echo "<?xml version=\"1.0\"?>\n";
?>
<portfolio>
<?php while (have_posts()) : the_post(); ?>
	<?php $image_media = simple_portfolio_media(get_the_ID(), 'image'); ?>
	<?php $youtube_media = simple_portfolio_media(get_the_ID(), 'youtube'); ?>
	<?php $snippet_media = simple_portfolio_media(get_the_ID(), 'snippet'); ?>
	
	<project id="<?php the_ID(); ?>">
		<title><![CDATA[<?php the_title(); ?>]]></title>
		<description><![CDATA[<?php echo preg_replace('/<!--more-->/', '', get_post(get_the_id())->post_content); ?>]]></description>
		<media>
				<?php /** images */ ?>
				<?php foreach ($image_media as $image_id): ?>
					<image>
						<?php foreach (array('thumbnail', 'medium', 'large', 'full') as $image_size): $image = wp_get_attachment_image_src($image_id['value'], $image_size); ?>
							<<?php echo $image_size; ?> width="<?php echo $image[1]; ?>" height="<?php echo $image[2]; ?>" src="<?php echo $image[0]; ?>" />
						<?php endforeach; ?>
					</image>
				<?php endforeach; ?>
				
				<?php /** youtube */ ?>
				<?php foreach ($youtube_media as $youtube_id): ?>
					<youtube id="<?php echo $youtube_id['value']; ?>" />
				<?php endforeach; ?>
				
				<?php /** snippet */ ?>
				<?php foreach ($snippet_media as $snippet): ?>
					<snippet><![CDATA[<?php echo $snippet['value']; ?>]]></snippet>
				<?php endforeach; ?>
		</media>
		<information>
			<?php foreach (simple_portfolio_info() as $tag=>$info): preg_match('/_([a-zA-Z0-9]+)/', $tag, $tag); ?>
			<<?php echo $tag[1]; ?>><![CDATA[<?php echo $info; ?>]]></<?php echo $tag[1]; ?>>
			<?php endforeach; ?>
		</information>
	</project>
	
<?php endwhile; ?>
</portfolio>

